.TH "pyspottedunipd.ngrams.models.NGram" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.models.NGram \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self)"
.br
.ti -1c
.RI "def \fBgenerate_from_file\fP (self, order, filename, number_of_words)"
.br
.ti -1c
.RI "def \fBgenerate_from_string\fP (self, order, string, number_of_words)"
.br
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "def \fBmake_cups\fP (order, string)"
.br
.ti -1c
.RI "def \fBprint_cups\fP (cups)"
.br
.ti -1c
.RI "def \fBtopword\fP (n, cup)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Definition at line 44 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.__init__ ( self)"

.PP
Definition at line 45 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.generate_from_file ( self,  order,  filename,  number_of_words)"

.PP
.nf
:param order: int
    Order of n-gram
:param filename: str
    Path to filename
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file

.fi
.PP
 
.PP
Definition at line 103 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.generate_from_string ( self,  order,  string,  number_of_words)"

.PP
.nf
:param order: int
    Order of n-gram
:param string: str
    Input string
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file

.fi
.PP
 
.PP
Definition at line 120 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.make_cups ( order,  string)\fC [static]\fP"

.PP
.nf
:param order: int
    Order of n-grams to generate
:param string: str
    Input text
:return: cups
    Get a string of input text and make all the unique cups with the different words in it

.fi
.PP
 
.PP
Definition at line 49 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.print_cups ( cups)\fC [static]\fP"

.PP
.nf
:param cups: Cup
    Cup to use
:return: void
    Use this to see what cups there are and the words inside of it

.fi
.PP
 
.PP
Definition at line 75 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.NGram\&.topword ( n,  cup)\fC [static]\fP"

.PP
.nf
:param n: int
    Number of top words to take from cup
:param cup: Cup
    Cup to use
:return: str
    A function that picks the top words in a cup

.fi
.PP
 
.PP
Definition at line 87 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
